module uarrt_test();

	reg sys_clk;
	reg rst_n;
	reg uartrx;
	wire uart_rxs_done;
	wire [MulRXNum * 'd8 - 'd1:0] odats;

	//----Code starts here: integrated by Robei-----
	
	    always #50 clk = ~clk;
	
	    initial begin
	        clk = 1'b1;
	        rst = 1'b1;
	        idats = 'd12256;
	        uart_tx_req = 1'b0;
	
	        #100
	        rst = 1'b0;
	        #100
	        rst = 1'b1;
	
	        #100
	        uart_tx_req <= 1'b1;
	    end
	    
	
	    always@(posedge clk)
	        if(uart_txs_done == 1'b1)
	            idats <= idats + 'd2323;
	
	#100 $finish;
	end
	initial begin
		$dumpfile ("E:/Desktop/robei/11finish/top/uarrt_test.vcd");
		$dumpvars;
	end
endmodule    //uarrt_test

